Add a product to a pricing calculator
curl --request POST \
--url https://api.journeybee.io/v1/pricing-calculators/{uuid}/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product_uuid": "<string>",
"quantity_type": "fixed",
"is_optional": false,
"is_included_by_default": true,
"quantity_editable": false,
"quantity_fixed": 123,
"quantity_variable_name": "<string>",
"quantity_condition": "<string>",
"quantity_if_true": 123,
"quantity_if_false": 123,
"price_override": 123,
"anchor_field_id": 123,
"sort_order": 123
}
'import requests
url = "https://api.journeybee.io/v1/pricing-calculators/{uuid}/products"
payload = {
"product_uuid": "<string>",
"quantity_type": "fixed",
"is_optional": False,
"is_included_by_default": True,
"quantity_editable": False,
"quantity_fixed": 123,
"quantity_variable_name": "<string>",
"quantity_condition": "<string>",
"quantity_if_true": 123,
"quantity_if_false": 123,
"price_override": 123,
"anchor_field_id": 123,
"sort_order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product_uuid: '<string>',
quantity_type: 'fixed',
is_optional: false,
is_included_by_default: true,
quantity_editable: false,
quantity_fixed: 123,
quantity_variable_name: '<string>',
quantity_condition: '<string>',
quantity_if_true: 123,
quantity_if_false: 123,
price_override: 123,
anchor_field_id: 123,
sort_order: 123
})
};
fetch('https://api.journeybee.io/v1/pricing-calculators/{uuid}/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uuid": "<string>",
"sort_order": 123,
"quantity_fixed": 123,
"quantity_variable_name": "<string>",
"quantity_condition": "<string>",
"quantity_if_true": 123,
"quantity_if_false": 123,
"price_override": 123,
"is_optional": true,
"is_included_by_default": true,
"quantity_editable": true,
"anchor_field_id": 123,
"product": {
"uuid": "<string>",
"name": "<string>",
"sku": "<string>",
"price": 123,
"currency_code": "<string>"
},
"created_at": "<string>",
"updated_at": "<string>"
}Pricing Calculator Products
Add a product to a pricing calculator
POST
/
pricing-calculators
/
{uuid}
/
products
Add a product to a pricing calculator
Authorizations
API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
Available options:
fixed, variable, conditional Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.
Response
201 - application/json
Default Response
Available options:
fixed, variable, conditional Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.
Show child attributes
Show child attributes
⌘I